Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When I copy tasks with subtasks, the changed properties are applied only in the parent tasks.

Environment:

  Redmine version                          2.2.3.stable

  Ruby version                             1.8.7 (i686-linux)

  Rails version                            3.2.12

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_impasse                          1.2.2

  redmine_screenshot_paste                 2.1.0

  redmine_wiki_extensions                  0.6.2

  redmine_wiki_lists                       0.0.1

Related issues:

Related to Redmine - Defect #15742: No warning when copying subtasks to anoth... New

Has duplicate Redmine - Feature #27864: Subtasks inherit parent settings duri... Closed

History

#1 - 2014-06-02 19:47 - Fernando Hartmann

+1

#2 - 2014-06-30 06:49 - Toshi MARUYAMA

- Related to Defect #15742: No warning when copying subtasks to another project with different trackers added

#3 - 2018-08-07 16:46 - Go MAEDA

More details from #27864:

often I copy issues across versions. My issues have a lot of subtasks.

It would be useful if when I set, for example, version or status on parent issue the same are set on the subtasks.

Without this I must modify them afterwards, and this in not always easy.

#4 - 2018-08-07 16:46 - Go MAEDA

- Has duplicate Feature #27864: Subtasks inherit parent settings during copy added

#5 - 2018-08-07 17:20 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from Subtasks dont receive properties change when copied to Apply changes on parent issue to subtasks when copying issues

#6 - 2018-08-08 15:43 - Alessandro Zucchi

OK,

now we are two waiting for  this important enhancement.
https://www.redmine.org/issues/27864


Hope soon

Alessandro
